## The base resource for saving a specific Node
class_name Node3DDataResource
extends NodeDataResource


@export var transform: Transform3D
@export var node_path: NodePath
@export var parent_node_path: NodePath


func _save_data(node: Node3D) -> void:
	transform = node.transform
	node_path = node.get_path()

	var parent_node: Node3D = node.get_parent()
	if parent_node != null:
		parent_node_path = parent_node.get_path()

func _load_data(_window: Window) -> void:
	pass
