## The resource for saving game settings.
##   This should be not be saved with saves (for game syncing reasons)
class_name GraphicsSettingsResource
extends Resource


@export var fov: int = 75
@export var resolution: Vector2i = Vector2i(1280, 720) ## Width, Height
@export var resolution_id: int = 0 ## The ID of the item in the OptionsButton list element
@export var vsync: bool = false
@export var window_mode: DisplayServer.WindowMode = DisplayServer.WINDOW_MODE_WINDOWED
